Bug 119986 - Pam return code not checked
Pam return code not checked
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-04-04 13:36 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-02 13:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes pam return code checks (1.15 KB, patch)
2004-04-04 13:38 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-04-04 13:36:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
In the chfn & chsh programs (both root setuid), a call to
pam_chauthtok is not checked for a successful return code. Execution
continues as if it were successful.

Version-Release number of selected component (if applicable):
util-linux-2.12

How reproducible:
Always

Steps to Reproduce:
Bug found during code review.

Additional info:

I will attach a patch that fixes the bug. Not sure if this has
security implications. Perhaps cron jobs for a recently expired acct?
Comment 1 Steve Grubb 2004-04-04 13:38:15 EDT
Created attachment 99098 [details]
Fixes pam return code checks

Please apply before fedora core2 final
Comment 2 Elliot Lee 2004-04-23 10:31:07 EDT
Applied in CVS - thanks for the patch!
Comment 3 Steve Grubb 2004-05-12 10:16:19 EDT
Thanks for including the patch...however you forgot to actually apply
the patch. e.g. :

--- util-linux.spec.orig        2004-05-12 09:52:53.000000000 -0400
+++ util-linux.spec     2004-05-12 09:53:29.000000000 -0400
@@ -247,6 +247,8 @@
 %patch1040 -p1 -b .nfsmount
 %patch1001 -p1 -b .nfssloppy
                                                                     
          
+%patch145 -p1 -b .pam
+
 %build
 unset LINGUAS || :
Comment 4 Elliot Lee 2004-06-02 13:23:17 EDT
This is in CVS currently.

Note You need to log in before you can comment on or make changes to this bug.